test_concepts::A Struct Reference

## Public Member Functions

| A (int a=0)
| A (const A &)=default
| A (A &&)=default

## Public Attributes

int | a_

## Detailed Description

Definition at line 62 of file TConcepts.cpp.

## Constructor & Destructor Documentation

## A() [1/3]

test_concepts::A::A | ( | int | a = `0` | ) |

inline

Definition at line 65 of file TConcepts.cpp.

## A() [2/3]

test_concepts::A::A | ( | const A & |  | ) |

default

## A() [3/3]

test_concepts::A::A | ( | A && |  | ) |

default

## Member Data Documentation

## a_

int test_concepts::A::a_

Definition at line 63 of file TConcepts.cpp.

The documentation for this struct was generated from the following file:

- test/tests/TConcepts.cpp